Package org.jfree.report.flow

# Interface ReportJob

All Superinterfaces:
  `Cloneable`, `Serializable`

All Known Implementing Classes:
  `DefaultReportJob`

public interface ReportJob extends Serializable, Cloneable
A report job holds all properties that are required to successfully execute a report process. A report job does not hold output target specific parameters like target file names etc.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`ReportJob`
`derive()`
`org.pentaho.reporting.libraries.base.config.ModifiableConfiguration`
`getConfiguration()`
`ReportDataFactory`
`getDataFactory()`
`String`
`getName()`
`ReportParameters`
`getParameters()`
`ReportStructureRoot`
`getReportStructureRoot()`
`ResourceBundleFactory`
`getResourceBundleFactory()`

## Method Details

### getConfiguration

org.pentaho.reporting.libraries.base.config.ModifiableConfiguration getConfiguration()

### getParameters

ReportParameters getParameters()

### getReportStructureRoot

ReportStructureRoot getReportStructureRoot()

### getDataFactory

ReportDataFactory getDataFactory()

### derive

ReportJob derive()

### close

void close()

### getResourceBundleFactory

ResourceBundleFactory getResourceBundleFactory()

### getName

String getName()